#include "wfpacket.h"

WFPacket::WFPacket(QObject *parent, unsigned int nbData) :
    QObject(parent)
{
    this->nbSamples = nbData;
    coarseTime = 0x00;
    fineTime = 0x00;
    //
    wf_v = (short*) malloc(2*nbData);
    wf_e1 = (short*) malloc(2*nbData);
    wf_e2 = (short*) malloc(2*nbData);
    wf_b1 = (short*) malloc(2*nbData);
    wf_b2 = (short*) malloc(2*nbData);
    wf_b3 = (short*) malloc(2*nbData);
}

WFPacket::~WFPacket()
{
    free(wf_v);
    free(wf_e1);
    free(wf_e2);
    free(wf_b1);
    free(wf_b2);
    free(wf_b3);
}
